Index: src/Actions/FragmentationAction/DepthFirstSearchAction.cpp
===================================================================
--- src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/DepthFirstSearchAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -91,7 +91,3 @@
   return true;
 }
-
-const string FragmentationDepthFirstSearchAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/FragmentationAction/DepthFirstSearchAction.def
===================================================================
--- src/Actions/FragmentationAction/DepthFirstSearchAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/DepthFirstSearchAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)
 #define paramtokens ("depth-first-search")
-#define paramdescriptions ("Depth-First Search analysis of the molecular system")
+#define paramdescriptions ("maximum distance to look for neighbors")
+#undef paramdefaults
 #define paramreferences (distance)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "Depth-First Search analysis of the molecular system"
 #define SHORTFORM "D"
-#define TYPEINFO &typeid(double)
Index: src/Actions/FragmentationAction/FragmentationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/FragmentationAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -82,7 +82,3 @@
   return true;
 }
-
-const string FragmentationFragmentationAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/FragmentationAction/FragmentationAction.def
===================================================================
--- src/Actions/FragmentationAction/FragmentationAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/FragmentationAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)(double)(int)
 #define paramtokens ("fragment-mol")("distance")("order")
-#define paramdescriptions ("create for a given molecule into fragments up to given order")("distance in space")("order of a discretization, dissection, ...")
+#define paramdescriptions ("path to where the fragment configurations shall be stored")("distance in space")("order of a discretization, dissection, ...")
+#undef paramdefaults
 #define paramreferences (path)(distance)(order)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "create for a given molecule into fragments up to given order"
 #define SHORTFORM "f"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/FragmentationAction/SubgraphDissectionAction.cpp
===================================================================
--- src/Actions/FragmentationAction/SubgraphDissectionAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/SubgraphDissectionAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -212,7 +212,3 @@
   return true;
 }
-
-const string FragmentationSubgraphDissectionAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/FragmentationAction/SubgraphDissectionAction.def
===================================================================
--- src/Actions/FragmentationAction/SubgraphDissectionAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/FragmentationAction/SubgraphDissectionAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "dissect the molecular system into molecules representing disconnected subgraphs"
 #define SHORTFORM "I"
-#define TYPEINFO &typeid(void)
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/Makefile.am	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -17,6 +17,6 @@
   ${TESSELATIONACTIONSOURCE} \
   ${WORLDACTIONSOURCE} \
-  ActionTraits.cpp \
-  MapOfActions.cpp \
+  RedoAction.cpp \
+  UndoAction.cpp \
   ValueStorage.cpp
 
@@ -31,6 +31,4 @@
   ${TESSELATIONACTIONHEADER} \
   ${WORLDACTIONHEADER} \
-  ActionTraits.hpp \
-  MapOfActions.hpp \
   ValueStorage.hpp \
   Values.hpp
Index: src/Actions/MakroAction.cpp
===================================================================
--- src/Actions/MakroAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MakroAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -41,6 +41,6 @@
 };
 
-MakroAction::MakroAction(string _name,ActionSequence* _actions,bool _doRegister) :
-Action(_name,_doRegister),
+MakroAction::MakroAction(const ActionTraits &_trait,ActionSequence* _actions,bool _doRegister) :
+Action(_trait,_doRegister),
 actions(_actions)
 {
Index: src/Actions/MakroAction.hpp
===================================================================
--- src/Actions/MakroAction.hpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MakroAction.hpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -23,5 +23,5 @@
 {
 public:
-  MakroAction(std::string _name,ActionSequence* _actions,bool _doRegister=true);
+  MakroAction(const ActionTraits &_trait,ActionSequence* _actions,bool _doRegister=true);
   virtual ~MakroAction();
 
Index: src/Actions/ManipulateAtomsProcess.cpp
===================================================================
--- src/Actions/ManipulateAtomsProcess.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/ManipulateAtomsProcess.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -29,7 +29,10 @@
 using namespace std;
 
-ManipulateAtomsProcess::ManipulateAtomsProcess(boost::function<void(atom*)> _operation, AtomDescriptor _descr,
-                                               std::string _name,bool _doRegister) :
-  Process(0,_name,_doRegister),
+ManipulateAtomsProcess::ManipulateAtomsProcess(
+    boost::function<void(atom*)> _operation,
+    AtomDescriptor _descr,
+    const ActionTraits &_trait,
+    bool _doRegister) :
+  Process(0,_trait,_doRegister),
   descr(_descr),
   operation(_operation)
Index: src/Actions/ManipulateAtomsProcess.hpp
===================================================================
--- src/Actions/ManipulateAtomsProcess.hpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/ManipulateAtomsProcess.hpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -20,5 +20,5 @@
 {
 public:
-  ManipulateAtomsProcess(boost::function<void(atom*)> _operation, AtomDescriptor descr,std::string _name,bool _doRegister=true);
+  ManipulateAtomsProcess(boost::function<void(atom*)> _operation, AtomDescriptor descr,const ActionTraits &_trait,bool _doRegister=true);
   virtual ~ManipulateAtomsProcess();
 
Index: src/Actions/MethodAction.cpp
===================================================================
--- src/Actions/MethodAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MethodAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -29,6 +29,6 @@
 using namespace std;
 
-MethodAction::MethodAction(string _name,boost::function<void()> _executeMethod,bool _doRegister) :
-   Action(_name,_doRegister),
+MethodAction::MethodAction(const ActionTraits &_trait,boost::function<void()> _executeMethod,bool _doRegister) :
+   Action(_trait,_doRegister),
 executeMethod(_executeMethod)
 {
Index: src/Actions/MethodAction.hpp
===================================================================
--- src/Actions/MethodAction.hpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MethodAction.hpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -20,5 +20,5 @@
 {
 public:
-  MethodAction(std::string _name,boost::function<void()> _executeMethod,bool _doRegister=true);
+  MethodAction(const ActionTraits &_trait,boost::function<void()> _executeMethod,bool _doRegister=true);
   virtual ~MethodAction();
   virtual bool canUndo();
Index: src/Actions/MoleculeAction/BondFileAction.cpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/BondFileAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -46,5 +46,5 @@
     mol = World::getInstance().beginMoleculeSelection()->second;
     DoLog(0) && (Log() << Verbose(0) << "Parsing bonds from " << params.bondfile << "." << endl);
-    ifstream input(params.bondfile.c_str());
+    ifstream input(params.bondfile.string().c_str());
     mol->CreateAdjacencyListFromDbondFile(&input);
     input.close();
@@ -75,7 +75,3 @@
   return false;
 }
-
-const string MoleculeBondFileAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/BondFileAction.def
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/BondFileAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
 #define paramtokens ("bond-file")
 #define paramdescriptions ("name of the bond file")
+#undef paramdefaults
 #define paramreferences (bondfile)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
-#define DESCRIPTION "name of the bond file"
+#define DESCRIPTION "parse bond structure from dbond file"
 #define SHORTFORM "A"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/MoleculeAction/ChangeNameAction.cpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -71,7 +71,3 @@
   return true;
 }
-
-const string MoleculeChangeNameAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/ChangeNameAction.def
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/ChangeNameAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("change-molname")
-#define paramdescriptions ("change the name of a molecule")
+#define paramdescriptions ("new name of molecule")
+#undef paramdefaults
 #define paramreferences (name)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "change the name of a molecule"
 #undef SHORTFORM
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/MoleculeAction/CopyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/CopyAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/CopyAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -91,7 +91,3 @@
   return true;
 }
-
-const string MoleculeCopyAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/CopyAction.def
===================================================================
--- src/Actions/MoleculeAction/CopyAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/CopyAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (molecule *)(Vector)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (const molecule *)(Vector)
 #define paramtokens ("copy-molecule")("position")
-#define paramdescriptions ("copies a molecule with all atoms and bonds")("position in R^3 space")
+#define paramdescriptions ("molecule to copy")("position in R^3 space")
+#undef paramdefaults
 #define paramreferences (mol)(position)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "copies a molecule with all atoms and bonds"
 #undef SHORTFORM
-#define TYPEINFO &typeid(molecule)
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -54,7 +54,7 @@
   // construct water molecule
   molecule *filler = World::getInstance().createMolecule();
-  std::string FilenameSuffix = params.fillername.substr(params.fillername.find_last_of('.')+1, params.fillername.length());
+  std::string FilenameSuffix = params.fillername.string().substr(params.fillername.string().find_last_of('.')+1, params.fillername.string().length());
   ifstream input;
-  input.open(params.fillername.c_str());
+  input.open(params.fillername.string().c_str());
   switch (FormatParserStorage::getInstance().getTypeFromSuffix(FilenameSuffix)) {
     case mpqc:
@@ -95,5 +95,5 @@
   for (; iter != World::getInstance().moleculeEnd(); ++iter)
     filler = *iter; // get last molecule
-  filler->SetNameFromFilename(params.fillername.c_str());
+  filler->SetNameFromFilename(params.fillername.string().c_str());
   World::getInstance().getConfig()->BG->ConstructBondGraph(filler);
 
@@ -128,7 +128,3 @@
   return false;
 }
-
-const string MoleculeFillVoidWithMoleculeAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)(Vector)(Vector)(bool)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)(Vector)(Vector)(bool)
 #define paramtokens ("fill-void")("distances")("lengths")("DoRotate")
-#define paramdescriptions ("fill void space of box with a filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("whether to rotate or not")
+#define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("whether to rotate or not")
+#undef paramdefaults
 #define paramreferences (fillername)(distances)(lengths)(DoRotate)
 
@@ -30,6 +31,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "fill void space of box with a filler molecule"
 #undef SHORTFORM
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -48,8 +48,8 @@
   // construct water molecule
   molecule *filler = World::getInstance().createMolecule();
-  if (!filler->AddXYZFile(params.fillername)) {
+  if (!filler->AddXYZFile(params.fillername.string())) {
     DoeLog(0) && (eLog()<< Verbose(0) << "Could not parse filler molecule from " << params.fillername << "." << endl);
   }
-  filler->SetNameFromFilename(params.fillername.c_str());
+  filler->SetNameFromFilename(params.fillername.string().c_str());
   molecule *Filling = NULL;
 //    atom *first = NULL, *second = NULL, *third = NULL;
@@ -110,7 +110,3 @@
   return false;
 }
-
-const string MoleculeFillWithMoleculeAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.def
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)(Vector)(Vector)(double)(bool)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)(Vector)(Vector)(double)(bool)
 #define paramtokens ("fill-molecule")("distances")("lengths")("MaxDistance")("DoRotate")
-#define paramdescriptions ("fill around molecules' surface with a filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("maximum spatial distance")("whether to rotate or not")
+#define paramdescriptions ("name of xyz file of filler molecule")("list of three of distances in space, one for each axis direction")("list of three of lengths in space, one for each axis direction")("maximum spatial distance")("whether to rotate or not")
+#undef paramdefaults
 #define paramreferences (fillername)(distances)(lengths)(MaxDistance)(DoRotate)
 
@@ -30,6 +31,5 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "fill around molecules' surface with a filler molecule"
 #define SHORTFORM "F"
-#define TYPEINFO &typeid(std::string)
+
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -50,5 +50,5 @@
     if (params.IdMapping)
       DoLog(1) && (Log() << Verbose(1) << "Using Identity for the permutation map." << endl);
-    if (!mol->LinearInterpolationBetweenConfiguration(params.start, params.end, params.filename, *(World::getInstance().getConfig()), params.IdMapping))
+    if (!mol->LinearInterpolationBetweenConfiguration(params.start, params.end, params.filename.branch_path().string(), *(World::getInstance().getConfig()), params.IdMapping))
       DoLog(2) && (Log() << Verbose(2) << "Could not store " << params.filename << " files." << endl);
     else
@@ -79,7 +79,3 @@
   return false;
 }
-
-const string MoleculeLinearInterpolationofTrajectoriesAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)(int)(int)(bool)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)(int)(int)(bool)
 #define paramtokens ("linear-interpolate")("start-step")("end-step")("id-mapping")
-#define paramdescriptions ("linear interpolation in discrete steps between start and end position of a molecule")("first or start step")("last or end step")("whether the identity shall be used in mapping atoms onto atoms or not")
+#define paramdescriptions ("path where to store the intermediate configurations")("first or start step")("last or end step")("whether the identity shall be used in mapping atoms onto atoms or not")
+#undef paramdefaults
 #define paramreferences (filename)(start)(end)(IdMapping)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "linear interpolation in discrete steps between start and end position of a molecule"
 #define SHORTFORM "L"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -107,7 +107,3 @@
   return true;
 }
-
-const string MoleculeRotateAroundSelfByAngleAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/RotateAroundSelfByAngleAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (double)(Vector)
 #define paramtokens ("rotate-self")("position")
-#define paramdescriptions ("rotates molecules by a specific angle around own center of gravity")("position in R^3 space")
+#define paramdescriptions ("rotation angle")("position in R^3 space")
+#undef paramdefaults
 #define paramreferences (angle)(Axis)
 
@@ -30,6 +31,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "rotates molecules by a specific angle around own center of gravity"
 #undef SHORTFORM
-#define TYPEINFO &typeid(double)
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -152,7 +152,3 @@
   return false;
 }
-
-const string MoleculeRotateToPrincipalAxisSystemAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -14,8 +14,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("rotate-to-pas")
-#define paramdescriptions ("calculate the principal axis system of the specified molecule and rotate specified axis to align with main axis")
+#define paramdescriptions ("vector to which to align the biggest eigenvector with")
+#undef paramdefaults
 #define paramreferences (Axis)
 
@@ -32,6 +33,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "calculate the principal axis system of the specified molecule and rotate specified axis to align with main axis"
 #define SHORTFORM "m"
-#define TYPEINFO &typeid(VectorValue)
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -51,5 +51,5 @@
     World::getInstance().getConfig()->BG->ConstructBondGraph(mol);
     // TODO: sollte stream nicht filename benutzen, besser fuer unit test
-    mol->StoreAdjacencyToFile(params.adjacencyfile);
+    mol->StoreAdjacencyToFile(params.adjacencyfile.leaf(), params.adjacencyfile.branch_path().string());
   }
   return Action::success;
@@ -77,7 +77,3 @@
   return false;
 }
-
-const string MoleculeSaveAdjacencyAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-adjacency")
 #define paramdescriptions ("name of the adjacency file to write to")
+#undef paramdefaults
 #define paramreferences (adjacencyfile)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
-#define DESCRIPTION "name of the adjacency file to write to"
+#define DESCRIPTION "store adjacency of each atom to file"
 #define SHORTFORM "J"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -51,5 +51,5 @@
     World::getInstance().getConfig()->BG->ConstructBondGraph(mol);
     // TODO: sollte stream, nicht filenamen direkt nutzen, besser fuer unit tests
-    mol->StoreBondsToFile(params.bondsfile);
+    mol->StoreBondsToFile(params.bondsfile.leaf(), params.bondsfile.branch_path().string());
   }
   return Action::success;
@@ -77,7 +77,3 @@
   return false;
 }
-
-const string MoleculeSaveBondsAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/SaveBondsAction.def
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/MoleculeAction/SaveBondsAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
 #define paramtokens ("save-bonds")
 #define paramdescriptions ("name of the bonds file to write to")
+#undef paramdefaults
 #define paramreferences (bondsfile)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
-#define DESCRIPTION "name of the bonds file to write to"
+#define DESCRIPTION "save bonds to dbond type file"
 #define SHORTFORM "j"
-#define TYPEINFO &typeid(std::string)
